# ParticleCircle

class ParticleCircle(radius: Number, particle: KSpigotParticle) : Circle
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
structure
Link copied to clipboard
override fun structure(filled: Boolean): Structure
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

edgeLocations
Link copied to clipboard
override val edgeLocations: HashSet<SimpleLocation2D>
Content copied to clipboard
edgeStructure
Link copied to clipboard
override val edgeStructure: Structure
Content copied to clipboard
filledStructure
Link copied to clipboard
override val filledStructure: Structure
Content copied to clipboard
fillLocations
Link copied to clipboard
override val fillLocations: HashSet<SimpleLocation2D>
Content copied to clipboard
radius
Link copied to clipboard
override val radius: Number
Content copied to clipboard